## libusb 0.1.10a-1

=== Makefile ===
# 
# Copyright (C) 2006 OpenWrt.org
#
# This is free software, licensed under the GNU General Public License v2.
# See /LICENSE for more information.
#
# $Id: Makefile 6643 2007-03-23 08:11:08Z nico $

include $(TOPDIR)/rules.mk

PKG_NAME:=libusb
PKG_VERSION:=0.1.10a
PKG_RELEASE:=1
PKG_MD5SUM:=c6062b29acd2cef414bcc34e0decbdd1

PKG_SOURCE_URL:=@SF/libusb
PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
PKG_CAT:=zcat

PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)-$(PKG_VERSION)
PKG_INSTALL_DIR:=$(PKG_BUILD_DIR)/ipkg-install

include $(INCLUDE_DIR)/package.mk

define Package/libusb
  SECTION:=libs
  CATEGORY:=Libraries
  TITLE:=libusb library
  DESCRIPTION:=\
	This package contains libusb.
  URL:=http://libusb.sourceforge.net/
endef

CONFIGURE_ARGS += \
	--enable-shared \
	--enable-static

define Build/Configure
	(cd $(PKG_BUILD_DIR); \
		rm -rf config.{status,cache} ; \
		$(TARGET_CONFIGURE_OPTS) \
		CFLAGS="$(TARGET_CFLAGS)" \
		CPPFLAGS="-I$(STAGING_DIR)/usr/include" \
		LDFLAGS="-L$(STAGING_DIR)/usr/lib" \
		ac_cv_c_bigendian=no \
		./configure \
			$(CONFIGURE_ARGS) \
	);
endef

define Build/Compile
	$(MAKE) -C $(PKG_BUILD_DIR) \
		DESTDIR="$(PKG_INSTALL_DIR)" \
		all install
endef

define Build/InstallDev
	mkdir -p $(STAGING_DIR)/usr/include
	$(CP)	$(PKG_INSTALL_DIR)/usr/include/usb.h \
		$(STAGING_DIR)/usr/include/
	mkdir -p $(STAGING_DIR)/usr/lib
	$(CP)	$(PKG_INSTALL_DIR)/usr/lib/libusb*.{a,so*} \
		$(STAGING_DIR)/usr/lib/
endef

define Build/UninstallDev
	rm -rf	$(STAGING_DIR)/usr/include/usb.h \
		$(STAGING_DIR)/usr/lib/libusb*.{a,so*}
endef

define Package/libusb/install
	$(INSTALL_DIR) $(1)/usr/lib
	$(CP) $(PKG_INSTALL_DIR)/usr/lib/libusb*.so.* $(1)/usr/lib/
endef

$(eval $(call BuildPackage,libusb))

## libusb 0.1.12

=== debian/changelog ===
libusb (2:0.1.12-35build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:08:19 +0200

libusb (2:0.1.12-35) unstable; urgency=medium

  * Upload to unstable. 

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 30 Dec 2023 11:46:48 +0100

libusb (2:0.1.12-34) experimental; urgency=medium

  * Stop moving library from /usr/lib to /lib as part of the usr-merge
    transition.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 03 Dec 2023 14:02:12 +0000

libusb (2:0.1.12-33) unstable; urgency=medium

  * Drop udeb, it is not used anymore.
  * Simplify debian/rules now that a single build is needed.
  * Switch to debhelper 13, the declarative way.
  * Set Rules-Requires-Root to no.
  * Bump Standards-Version to 4.6.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 19 Nov 2023 13:05:24 +0100

libusb (2:0.1.12-32) unstable; urgency=medium

  * Update debian/patches/12_ENAMETOOLONG.diff to handle more failures with
    GCC 8 (closes: #897799).
  * Downgrade priority to optional following the recent policy change (closes:
    #893556).
  * Bump Standards-Version to 4.1.4.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 04 May 2018 20:07:10 +0000

libusb (2:0.1.12-31) unstable; urgency=medium

  * Add patches/12_ENAMETOOLONG.diff to correctly handle too long filename
    failures and FTBFS with GCC 7 (closes: #853511).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 19 Apr 2017 13:50:36 +0000

libusb (2:0.1.12-30) unstable; urgency=medium

  * Fix call to printf when creating libusb.so (closes: #823525).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 05 May 2016 19:32:19 +0000

libusb (2:0.1.12-29) unstable; urgency=medium

  * Drop packages providing the C++ library. It is unused in the archive
    and new developments should use libusb 1.0 instead (closes: #820510).
  * Use portable shell construct in debian/rules, thanks to Daniel Shahaf for
    the patch (closes: #823123).
  * Bump Standards-Version to 3.9.8 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 01 May 2016 17:00:14 +0200

libusb (2:0.1.12-28) unstable; urgency=medium

  * Rewrite debian/rules using dh.
  * debian/control: rename XC-Package-Type into Package-Type.
  * debian/control: improve descriptions.
  * debian/copyright: point to LGPL-2 instead of LGPL symlink.
  * Replace /usr/lib/$triplet/libusb.so by a linker script, in the hope it
    will make everybody happy (closes: #706278, #763195, #766808).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 08 Jan 2016 13:56:08 +0100

libusb (2:0.1.12-27) unstable; urgency=medium

  * Upload to unstable. 
  * Mention in debian/copyright that usb.h.in and/or usb.h may also be 
    distributed under the BSD license (closes: #794378).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 03 Aug 2015 16:04:52 +0200

libusb (2:0.1.12-26) experimental; urgency=medium

  * Upload to experimental.
  * Rename libusb++-0.1-4c2 into libusb++-0.1-4v5 for the GCC 5 ABI transition.
  * Force C++ standard to c++11 to prepare for the GCC 6 transition.
  * Build-depends on g++ (>= 4:5.2).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 01 Aug 2015 14:08:15 +0200

libusb (2:0.1.12-25) unstable; urgency=medium

  * Move /usr/lib/$multiarch/libusb-0.1.so.4 from libusb-0.1-4 to
    libusb-dev (closes: #763195) and add the corresponding Replaces:.
  * Drop pre-Lenny Conflicts: and Replaces:.
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 21 Oct 2014 20:43:38 +0200

libusb (2:0.1.12-24) unstable; urgency=medium

  * Use dh-autoreconf instead of doing so using patches (closes: #748855).
  * Drop now useless patches 90_am_maintainer_mode.diff and
    92_autoreconf.diff.
  * Stop updating config.guess and config.sub at build time.
  * Add 11_transfer_timeout.diff patch from Sam Thursfield to fix timeout
    handling in some corner cases (closes: #731422).
  * Bumped Standards-Version to 3.9.5 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 03 Jul 2014 20:17:03 +0200

libusb (2:0.1.12-23.3) unstable; urgency=low

  * Non-maintainer upload.
  * Build in obj-$(DEB_HOST_GNU_TYPE) rather than obj-$(DEB_BUILD_GNU_TYPE),
    which is less confusing since the former corresponds to the architecture
    we're building for.
  * Cross-build the udeb pass if requested, as well as the deb pass (closes:
    #694016).

 -- Colin Watson <cjwatson@debian.org>  Thu, 14 Nov 2013 11:58:14 +0000

libusb (2:0.1.12-23.2) unstable; urgency=low

  * Non-maintainer upload.
  * libusb-dev: Ship /usr/lib/<triplet>/libusb-0.1.so.4 ->
    /lib/<triplet>/libusb-0.1.so.4 symlink to prevent spurious creation of
    that SONAME link by ldconfig.  (Closes: #706278)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 24 May 2013 11:56:39 +0200

libusb (2:0.1.12-23+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix kfreebsd-* FTBFS: ignore the result of the (BSD-only)
    HAVE_OLD_DEV_USB_USB_H configure check, which started misbehaving in 2012.
    We ignore the system-provided API in favour of an embedded copy of a header
    file anyway (closes: #668026).

 -- Marcin Owsiany <porridge@debian.org>  Sat, 22 Sep 2012 14:10:38 +0100

libusb (2:0.1.12-23) unstable; urgency=low

  * Enable the patches in debian/patches/series. 

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 03 Jun 2012 18:31:13 +0200

libusb (2:0.1.12-22) unstable; urgency=low

  * Add a dummy implementation for OSes without USB support (closes: #668950).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 03 Jun 2012 16:44:33 +0200

libusb (2:0.1.12-21) unstable; urgency=low

  * Fix hardening flags for C++ (closes: #665308).
  * Fix udeb optimizationf flags.
  * Bumped Standards-Version to 3.9.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 03 Apr 2012 23:12:28 +0200

libusb (2:0.1.12-20) unstable; urgency=low

  * Add symbols files.
  * Enable hardened build flags (closes: #653742).


=== debian/control ===
Source: libusb
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Aurelien Jarno <aurel32@debian.org>
Build-Depends: debhelper-compat (= 13), pkg-config, docbook, docbook-dsssl
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://www.linux-usb.org/

Package: libusb-0.1-4
Priority: optional
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libusb-dev (<< 2:0.1.12-25)
Description: userspace USB programming library
 Library for programming USB applications without the knowledge
 of Linux kernel internals.
 .
 This package contains what you need to run programs that use this
 library.

Package: libusb-dev
Section: libdevel
Architecture: any
Depends: libusb-0.1-4 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
Description: userspace USB programming library development files
 Library for programming USB applications without the knowledge
 of Linux kernel internals.
 .
 This package contains what you need for compiling sources that
 use this library in your own code.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_configure-arch:
	dh_auto_configure -- --enable-build-docs

# Tests need root, so disable them
override_dh_auto_test:

## libusb linksys

=== doc/Makefile ===
# Makefile.in generated by automake 1.7.8 from Makefile.am.
# doc/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/libusb
pkglibdir = $(libdir)/libusb
pkgincludedir = $(includedir)/libusb
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = i686-pc-linux-gnu
ACLOCAL = aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = tar
AR = ar
AUTOCONF = autoconf
AUTOHEADER = autoheader
AUTOMAKE = automake-1.7
AWK = gawk
BIGENDIAN = 0
BSD_API = 0
BSD_API_FALSE = 
BSD_API_TRUE = #
BUILD_DOCS_FALSE = #
BUILD_DOCS_TRUE = 
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -g -Wall
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DARWIN_API = 0
DARWIN_API_FALSE = 
DARWIN_API_TRUE = #
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = g77
FFLAGS = -g -O2
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
JADE = jade
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBUSB_BINARY_AGE = 4
LIBUSB_INTERFACE_AGE = 0
LIBUSB_MAJOR_VERSION = 0
LIBUSB_MICRO_VERSION = 8
LIBUSB_MINOR_VERSION = 1
LIBUSB_VERSION = 0.1.8
LINUX_API = 1
LINUX_API_FALSE = #
LINUX_API_TRUE = 
LN_S = ln -s
LTLIBOBJS = 
LT_AGE = 4
LT_CURRENT = 8
LT_RELEASE = 0.1
LT_REVISION = 0
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = makeinfo
OBJEXT = o
OSLIBS = 
PACKAGE = libusb
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 0.1.8
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = g77
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/mag/linksys/WRT54G/release/src/router/libusb/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
sgml_files = manual.sgml intro.sgml api.sgml functions.sgml examples.sgml

# For when we have a man page :)
man_MANS = 

EXTRA_DIST = manual.sgml api.sgml examples.sgml functions.sgml \
	intro.sgml website.dsl $(man_MANS)


# I grabbed this same hack from the VACM docs/Makfile.am
CLEANFILES = manual.dvi manual.aux manual.tex manual.log \
	manual.ps.gz; rm -rf html

# Generating postscript takes forever on my laptop apparentely
#MANUALS = 

#MANUALS = manual.ps.gz html/index.html
MANUALS = html/index.html
subdir = doc
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
DIST_SOURCES =
DIST_COMMON = $(srcdir)/Makefile.in Makefile.am
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  doc/Makefile
Makefile: # $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:

DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile

installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-libtool

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am:

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am info info-am install install-am install-data \
	install-data-am install-exec install-exec-am install-info \
	install-info-am install-man install-strip installcheck \
	installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am \
	uninstall-info-am


all: $(MANUALS)

manual.ps.gz: $(sgml_files) website.dsl
	jade -t ps -d $(srcdir)/website.dsl\#print $(srcdir)/manual.sgml
	gzip manual.ps

html/index.html: $(sgml_files) website.dsl
	rm -rf html
	mkdir html
	jade -t sgml -d $(srcdir)/website.dsl\#html $(srcdir)/manual.sgml
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== tests/Makefile ===
# Makefile.in generated by automake 1.7.8 from Makefile.am.
# tests/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/libusb
pkglibdir = $(libdir)/libusb
pkgincludedir = $(includedir)/libusb
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = i686-pc-linux-gnu
ACLOCAL = aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = tar
AR = ar
AUTOCONF = autoconf
AUTOHEADER = autoheader
AUTOMAKE = automake-1.7
AWK = gawk
BIGENDIAN = 0
BSD_API = 0
BSD_API_FALSE = 
BSD_API_TRUE = #
BUILD_DOCS_FALSE = #
BUILD_DOCS_TRUE = 
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -g -Wall
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DARWIN_API = 0
DARWIN_API_FALSE = 
DARWIN_API_TRUE = #
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = g77
FFLAGS = -g -O2
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
JADE = jade
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBUSB_BINARY_AGE = 4
LIBUSB_INTERFACE_AGE = 0
LIBUSB_MAJOR_VERSION = 0
LIBUSB_MICRO_VERSION = 8
LIBUSB_MINOR_VERSION = 1
LIBUSB_VERSION = 0.1.8
LINUX_API = 1
LINUX_API_FALSE = #
LINUX_API_TRUE = 
LN_S = ln -s
LTLIBOBJS = 
LT_AGE = 4
LT_CURRENT = 8
LT_RELEASE = 0.1
LT_REVISION = 0
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = makeinfo
OBJEXT = o
OSLIBS = 
PACKAGE = libusb
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 0.1.8
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = g77
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/mag/linksys/WRT54G/release/src/router/libusb/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 

INCLUDES = -I$(top_srcdir)

noinst_PROGRAMS = testlibusb

testlibusb_LDADD = $(top_builddir)/libusb.la 
subdir = tests
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
noinst_PROGRAMS = testlibusb$(EXEEXT)
PROGRAMS = $(noinst_PROGRAMS)

testlibusb_SOURCES = testlibusb.c
testlibusb_OBJECTS = testlibusb.$(OBJEXT)
testlibusb_DEPENDENCIES = $(top_builddir)/libusb.la
testlibusb_LDFLAGS =

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/testlibusb.Po
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = testlibusb.c
DIST_COMMON = $(srcdir)/Makefile.in Makefile.am
SOURCES = testlibusb.c

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in: # Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  tests/Makefile
Makefile: # $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
testlibusb$(EXEEXT): $(testlibusb_OBJECTS) $(testlibusb_DEPENDENCIES) 
	@rm -f testlibusb$(EXEEXT)
	$(LINK) $(testlibusb_LDFLAGS) $(testlibusb_OBJECTS) $(testlibusb_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/testlibusb.Po

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.c.lo:
	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=yes \
#	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(PROGRAMS)

installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
	mostlyclean-am

distclean: distclean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-libtool distclean-tags

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am:

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am

.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
	clean-libtool clean-noinstPROGRAMS ctags distclean \
	distclean-compile distclean-generic distclean-libtool \
	distclean-tags distdir dvi dvi-am info info-am install \
	install-am install-data install-data-am install-exec \
	install-exec-am install-info install-info-am install-man \
	install-strip installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-compile mostlyclean-generic mostlyclean-libtool pdf \
	pdf-am ps ps-am tags uninstall uninstall-am uninstall-info-am

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## libusb makefiles

=== Makefile ===

EXEC = libusb.a

OBJS = descriptors.o error.o linux.o usb.o

# RANLIB = $(CROSS)ranlib

all: $(EXEC)

CFLAGS += -D_FILE_OFFSET_BITS=64
CFLAGS += -D_REENTRANT
CFLAGS += -D_GNU_SOURCE

CFLAGS += -Wall -s -O2 -fno-builtin
CFLAGS += -mcpu=r4600 -mips2
CFLAGS += -Wa,--trap
CFLAGS += -I.

$(EXEC): $(OBJS)
	rm -f $(EXEC)
	$(AR) cr $(EXEC) $(OBJS)

romfs:

install:

clean:
	rm -f $(EXEC) *.gdb *.elf *.o *.s *.i
